//:Create and load a simple synthdef
// This Synthdef has no controls.
// It produces the single predefined synth with fixed parameters.
// There is no way to customize or vary the sound from the user
SynthDef(
	\psin, // name of the synthdef
	{  // synth function
		var env, source; // variables for legibility
		env = Env.perc;
		source = SinOsc.ar(400);
		// SynthDef MUST specify the output channel.
		Out.ar(0,
			source * env.kr(2) * 0.1
		)
	}
).load; // load the synthdef on the server, and save to disk for next time
//:Create a synth with the synthdef
Synth(\psin);
//:Create many synths with the synthdef
//Create routine with "fork" to permit delays in sclang
{
	10 do: {
		Synth(\psin);
		0.5.wait;
	}
}.fork;
//:
Pbind(\instrument, \psin, \dur, Prand([0.2, 0.5, 0.1], inf)).play;